Altibase.jdbc.driver.sharding.routing

## Interface RoutingEngine

All Known Implementing Classes:
  AllNodesRoutingEngine, CompositeShardKeyRoutingEngine, RandomNodeRoutingEngine, ShardKeyBaseRoutingEngine, SimpleShardKeyRoutingEngine

    public interface RoutingEngine

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<DataNode>` `route(java.lang.String aSql, java.util.List<Column> aParameters)`

### Method Detail

#### route

    java.util.List<DataNode> route(java.lang.String aSql,
                                   java.util.List<Column> aParameters)
                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`